Summary: A bundle of Perl5 modules for reading configuration files and parsing command line arguments
Name: perl-AppConfig
Version: 1.52
Release: 2
License: distributable
Group: Applications/CPAN
Source: http://www.cpan.org/modules/by-module/AppConfig/AppConfig-1.52.tar.gz
URL: http://www.cpan.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildPreReq: perl
Requires: perl >= 5.6.0

%description
AppConfig is a bundle of Perl5 modules for reading configuration files
and parsing command line arguments.  This is a descendant of, and
supercedes the App::Config module.  Functionality is extended over the
final version of App::Config (1.09) and includes many new features.  This
module has been developed and in the process, renamed, as part of an
effort to unify the various Perl modules for parsing configuration files
and command line arguments.

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n AppConfig-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
eval `perl '-V:installsitearch'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install
rm -f $RPM_BUILD_ROOT/$installarchlib/perllocal.pod
rm -rf $RPM_BUILD_ROOT/$installsitearch/auto

%files
%defattr(-,root,root)
%doc README Changes TODO
%{_libdir}/perl5/*
%{_mandir}/*/*

%changelog
* Sat Nov 10 2001 Aleksey Nogin <ayn2@cornell.edu>
- initial package, adapted from perl-Digest-MD5
